Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230872 - Can't select custom audio profiles
Summary: Can't select custom audio profiles
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-media
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-04 03:17 UTC by Michel Alexandre Salim
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.18.0-2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-19 12:48:11 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2007-03-04 03:17:51 UTC
Description of problem:
When selecting the audio profile for encoding, sound-juicer only displays the
standard four (CD quality lossless, lossy, voice lossless, voice lossy). Also,
the voice lossy profile's codec is listed as "unknown" instead of Speex.

Also, if launching gnome-audio-profiles-properties using the "Edit Profiles"
button, the window focus sticks to the main g-a-p-p window, meaning that one
cannot edit the selected profile until the main g-a-p-p window is closed!

Version-Release number of selected component (if applicable):
2.16.3-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Create new sound profile using Edit Profiles
2. Create new sound profile, launching gnome-audio-profiles-properties manually
3. Try to use said profile
  
Actual results:
using 1), I have to close the GAPP window before the new profile can be edited
at 3), the newly-created profile cannot be selected

Expected results:
1) and 2) should give the same experience. 3) should work

Additional info:
This goes back (as far as I can remember) to F7t1

Comment 1 Bastien Nocera 2007-03-05 10:47:49 UTC
gnome-media provides the encoding profiles widget, not sound-juicer.

Comment 2 Michel Alexandre Salim 2007-03-05 23:23:48 UTC
Yes, but the new profiles are not available from sound-juicer's drop-down menu
either. Unless s-j just calls gnome-media's libgnome-media-profiles to populate
its list?

Comment 3 Bastien Nocera 2007-04-18 14:32:59 UTC
I see the same problem with rhythmbox in FC6. Probably a bug there somewhere.
Investigating now.

Comment 4 Bastien Nocera 2007-04-18 15:02:40 UTC
The transient code in gnome-media is completely busted:
  /* set transient parent to itself if NULL */
  if (transient_parent)
    dialog->priv->transient_parent = transient_parent;
  else
    dialog->priv->transient_parent = GTK_WINDOW (dialog);


Comment 5 Bastien Nocera 2007-04-18 17:23:52 UTC
Upstream bug: http://bugzilla.gnome.org/show_bug.cgi?id=406739

Comment 6 Bastien Nocera 2007-04-19 12:48:11 UTC
Fixed in rawhide gnome-media-2.18.0-2.fc7, and FC6 gnome-media-2.16.1-4.fc6 (in
updates-testing shortly)

Comment 7 Fedora Update System 2007-04-24 20:42:08 UTC
gnome-media-2.16.1-4.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 8 Fedora Update System 2007-04-30 22:02:31 UTC
gnome-media-2.16.1-4.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.